package com.logicbig.example;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;

@SpringBootApplication
public class AppMain {
    public static void main(String[] args) {
        ConfigurableApplicationContext context =
                SpringApplication.run(AppMain.class, args);
        MyHelloProcessor bean = context.getBean(MyHelloProcessor.class);
        String msg = bean.sayHi("Joe");
        System.out.println(msg);
    }
}